Package org.intellij.lang.annotations

# Class JdkConstants

java.lang.Object
org.intellij.lang.annotations.JdkConstants

@Deprecated public final class JdkConstants extends Object
Deprecated.
this class will be removed in future versions to avoid Swing dependency, which is unnecessary for most of the clients. No IDE or static analysis tool should know about this class directly, as it creates new annotations using meta-annotations. If it's used in your project, please create similar annotations in your project directly.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`JdkConstants.AdjustableOrientation`
Deprecated.
`static @interface`
`JdkConstants.BoxLayoutAxis`
Deprecated.
`static @interface`
`JdkConstants.CalendarMonth`
Deprecated.
`static @interface`
`JdkConstants.CursorType`
Deprecated.
`static @interface`
`JdkConstants.FlowLayoutAlignment`
Deprecated.
`static @interface`
`JdkConstants.FontStyle`
Deprecated.
`static @interface`
`JdkConstants.HorizontalAlignment`
Deprecated.
`static @interface`
`JdkConstants.HorizontalScrollBarPolicy`
Deprecated.
`static @interface`
`JdkConstants.InputEventMask`
Deprecated.
`static @interface`
`JdkConstants.ListSelectionMode`
Deprecated.
`static @interface`
`JdkConstants.PatternFlags`
Deprecated.
`static @interface`
`JdkConstants.TabLayoutPolicy`
Deprecated.
`static @interface`
`JdkConstants.TabPlacement`
Deprecated.
`static @interface`
`JdkConstants.TitledBorderJustification`
Deprecated.
`static @interface`
`JdkConstants.TitledBorderTitlePosition`
Deprecated.
`static @interface`
`JdkConstants.TreeSelectionMode`
Deprecated.
`static @interface`
`JdkConstants.VerticalScrollBarPolicy`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`